#ifndef XCSTATICMODELWRITABLE_H
#define XCSTATICMODELWRITABLE_H

#include "xasset.h"

class XCStaticModelWritable : public XAsset
{
public:
    explicit XCStaticModelWritable();
    ~XCStaticModelWritable();

    void ParseData(QDataStream *aStream) override;

    quint32 GetNextModelInWorldSector() const;
    void SetNextModelInWorldSector(quint32 nextModel);

private:
    quint32 mNextModelInWorldSector;
};

#endif // XCSTATICMODELWRITABLE_H
